@import "variables";

#menu__toggle {
  opacity: 0;

  &:checked ~ .menu__btn {
    span {
      transform: rotate(45deg);

      &::before {
        top: 0;
        transform: rotate(0);
      }

      &::after {
        top: 0;
        transform: rotate(90deg);
      }
    }
  }

  &:checked ~ .menu__box {
    visibility: visible;
    position: absolute;
    right: 24px;
    top: 37px;
    z-index: 1;
    left: auto;
  }

}

.menu__btn {
  display: flex;
  align-items: center;
  position: absolute;
  top: 23px;
  right: 25px;
  padding: 14px;

  background-color: black;
  cursor: pointer;
  z-index: 2;

  span {
    right: 5px;
    @include wh-line;

    &::before {
      content: '';
      top: -5px;
      @include wh-line;
    }

    &::after {
      content: '';
      top: 6px;
      @include wh-line;
    }
  }
}

.menu {
  &__box {
    display: flex;
    flex-direction: column;
    position: fixed;
    visibility: hidden;
    top: 0;
    left: -100%;
    width: 182px;
    list-style: none;
    background-color: #F5F5F5;
    transition-duration: .25s;
    padding-inline-start: 0;
  }

  &__item {
    display: block;
    margin-top: 8px;
    font-weight: normal;
    padding-left: 12px;
    text-transform: uppercase;
    color: #4E4E4E;
    font-size: 11px;
    line-height: 22px;
    text-decoration: none;

    transition-duration: .25s;

    &:hover {
      background-color: #E5E5E5;
    }

    &:focus {
      color: #57A4A4;
    }
  }
}

@media screen and (min-width: $tb-min) {
  #menu__toggle,
  .menu__btn {
    display: none;
  }

  .menu {
    &__box {
      margin: 43px auto;
      visibility: visible;
      display: flex;
      flex-direction: row;
      justify-content: space-evenly;
      position: static;
      min-width: 90%;
      background-color: transparent;
    }

    &__item {
      padding-left: 0;

      &:hover {
        background-color: transparent;
        color: #57A4A4;
      }
    }
  }
}
